summaryrefslogtreecommitdiff
path: root/nocompile/bin/dcchelper
diff options
context:
space:
mode:
Diffstat (limited to 'nocompile/bin/dcchelper')
-rwxr-xr-xnocompile/bin/dcchelper10
1 files changed, 10 insertions, 0 deletions
diff --git a/nocompile/bin/dcchelper b/nocompile/bin/dcchelper
new file mode 100755
index 0000000..d4f3fc9
--- /dev/null
+++ b/nocompile/bin/dcchelper
@@ -0,0 +1,10 @@
+#!/bin/sh
+hop0="$(hop0 "$1")"
+if [ "$hop0" = "192.168.0.2" ];then
+ if ! printf "%s" "$1" | grep "^192\.168\.0\." 2>&1 >/dev/null;then
+ IP=$(dig +short armitage.hacking.allowed.org @8.8.8.8)
+ fi
+else
+ IP=$hop0
+fi
+ipconvert "$IP" | grep "^dec: " | cut '-d ' -f2